package org.jbpm.graph.part;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.EditPartFactory;
import org.jbpm.graph.model.Graph;

public class GraphicalEditPartFactory implements EditPartFactory {

	public EditPart createEditPart(EditPart context, Object model) {
		if (model instanceof Graph) {
			return new GraphEditPart((Graph)model); 
		} else {
			return null;
		}
	}			

}
