package org.jbpm.graph;

import org.eclipse.gef.ui.actions.ActionRegistry;
import org.eclipse.ui.IActionBars;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.actions.ActionFactory;
import org.eclipse.ui.part.EditorActionBarContributor;

public class ActionBarContributor extends EditorActionBarContributor {
	
    public void setActiveEditor(IEditorPart targetEditor) {
		IActionBars actionBars = getActionBars();
		if (actionBars == null) return;
		ActionRegistry actionRegistry = ((GraphEditor)targetEditor).getActionRegistry();
		String undoId = ActionFactory.UNDO.getId();
	    actionBars.setGlobalActionHandler(undoId, actionRegistry.getAction(undoId));
		String redoId = ActionFactory.REDO.getId();
		actionBars.setGlobalActionHandler(redoId, actionRegistry.getAction(redoId));
		actionBars.updateActionBars();
    }
	
}
