package org.jbpm.graph.policy;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;
import org.jbpm.graph.command.NodeDeleteCommand;
import org.jbpm.graph.model.Graph;
import org.jbpm.graph.model.Node;

public class NodeComponentEditPolicy extends ComponentEditPolicy {
	
	protected Command createDeleteCommand(GroupRequest request) {
		NodeDeleteCommand nodeDeleteCommand = new NodeDeleteCommand();
		nodeDeleteCommand.setGraph((Graph)getHost().getParent().getModel());
		nodeDeleteCommand.setNode((Node)getHost().getModel());
		return nodeDeleteCommand;
	}

}
