package org.jbpm.graph.part;

import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.PolylineConnection;
import org.eclipse.gef.EditPolicy;
import org.eclipse.gef.editparts.AbstractConnectionEditPart;
import org.eclipse.gef.editpolicies.ConnectionEndpointEditPolicy;
import org.jbpm.graph.model.Connection;
import org.jbpm.graph.policy.ConnectionEditPolicy;

public class ConnectionEditPart extends AbstractConnectionEditPart {
	
	public ConnectionEditPart(Connection connection) {
		setModel(connection);
	}

	protected void createEditPolicies() {
		installEditPolicy(EditPolicy.CONNECTION_ROLE, new ConnectionEditPolicy());
		installEditPolicy(EditPolicy.CONNECTION_ENDPOINTS_ROLE, new ConnectionEndpointEditPolicy());
	}
	
	protected IFigure createFigure() {
		return new PolylineConnection();
	}
	
}
