package org.jbpm.graph.part;

import org.eclipse.draw2d.FreeformLayer;
import org.eclipse.draw2d.FreeformLayout;
import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.LineBorder;
import org.eclipse.gef.editparts.AbstractGraphicalEditPart;
import org.jbpm.graph.model.Graph;

public class GraphEditPart extends AbstractGraphicalEditPart {
	
	public GraphEditPart(Graph graph) {
		setModel(graph);
	}

	// Create a freeform canvas to be able to host the child editparts.
	protected IFigure createFigure() {
		FreeformLayer layer = new FreeformLayer();
		layer.setLayoutManager(new FreeformLayout());
		layer.setBorder(new LineBorder(1));
		return layer;
	}

	protected void createEditPolicies() {
	}

}
