package org.jbpm.graph.part;

import java.util.List;

import org.eclipse.draw2d.FreeformLayer;
import org.eclipse.draw2d.FreeformLayout;
import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.LineBorder;
import org.eclipse.gef.editparts.AbstractGraphicalEditPart;
import org.jbpm.graph.model.Graph;
import org.jbpm.graph.model.Node;

public class GraphEditPart extends AbstractGraphicalEditPart {
	
	public GraphEditPart(Graph graph) {
		setModel(graph);
	}
	
	protected List<Node> getModelChildren() {
		return ((Graph)getModel()).getNodes();
	}

	protected IFigure createFigure() {
		FreeformLayer layer = new FreeformLayer();
		layer.setLayoutManager(new FreeformLayout());
		layer.setBorder(new LineBorder(1));
		return layer;
	}

	protected void createEditPolicies() {
	}

}
