package org.jbpm.graph.model;

public class Connection {
	
	private Node source;
	private Node target;
	
	public Node getSource() {
		return source;
	}
	
	public void setSource(Node source) {
		if (this.source != null) {
			source.removeSourceConnection(this);
		}
		this.source = source;
		source.addSourceConnection(this);
	}
	
	public Node getTarget() {
		return target;
	}
	
	public void setTarget(Node target) {
		if (this.target != null) {
			target.removeTargetConnection(this);
		}
		this.target = target;
		target.addTargetConnection(this);
	}
	
}
