package org.jbpm.graph.model;

public class Connection {
	
	private Node source;
	private Node target;
	
	public Node getSource() {
		return source;
	}
	
	public void setSource(Node source) {
		if (source == this.source) return;
		if (this.source != null) {
			this.source.removeSourceConnection(this);
		}
		this.source = source;
		if (source != null) {
			source.addSourceConnection(this);
		}
	}
	
	public Node getTarget() {
		return target;
	}
	
	public void setTarget(Node target) {
		if (target == this.target) return;
		if (this.target != null) {
			this.target.removeTargetConnection(this);
		}
		this.target = target;
		if (target != null) {
			target.addTargetConnection(this);
		}
	}
	
}
