package org.jbpm.graph;

import org.eclipse.gef.ui.actions.ActionRegistry;
import org.eclipse.gef.ui.actions.DeleteRetargetAction;
import org.eclipse.ui.IActionBars;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.actions.ActionFactory;
import org.eclipse.ui.part.EditorActionBarContributor;

public class ActionBarContributor extends EditorActionBarContributor {
	
	DeleteRetargetAction deleteRetargetAction = new DeleteRetargetAction();
	
    public void setActiveEditor(IEditorPart targetEditor) {
		IActionBars actionBars = getActionBars();
		if (actionBars == null) return;
		ActionRegistry actionRegistry = ((GraphEditor)targetEditor).getActionRegistry();
		String undoId = ActionFactory.UNDO.getId();
	    actionBars.setGlobalActionHandler(undoId, actionRegistry.getAction(undoId));
		String redoId = ActionFactory.REDO.getId();
		actionBars.setGlobalActionHandler(redoId, actionRegistry.getAction(redoId));
		String deleteId = ActionFactory.DELETE.getId();
		actionBars.setGlobalActionHandler(deleteId, actionRegistry.getAction(deleteId));
		//getPage().addPartListener(deleteRetargetAction);
		actionBars.updateActionBars();
    }
	
	public void dispose() {
		//getPage().removePartListener(deleteRetargetAction);
	}
	
}
